• Доброго времени суток!
    Господа у меня после обновления php c версии 7.4 на 8.0 возникает ошибка:
    Похоже, в вашей конфигурации PHP отсутствует расширение MySQL, необходимое для работы WordPress.
    Версия wordpress 5.8.2
    Как исправить ошибку? Стоит ли обновлять php на 8.0?

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 3 ответов — с 1 по 3 (всего 3)
  • Модератор Yui

    (@fierevere)

    永子

    спешить особенно не стоит, особенно если есть плохообновляющиеся плагины и темы.

    Расширение mysql было в PHP 5.6, далее его убрали
    но раз у вас 7.4, то вероятно у вас иная конфигурация
    вам нужно включить расширение MYSQLI

    если не знаете как — спросите поддержку хостера

    Также проверьте, включены ли другие необходимые расширения
    https://make.wordpress.org/hosting/handbook/server-environment/#php-extensions
    (также их может проверить и рекомендовать Консоль-Инструменты-Здоровье сайта, но без mysqli WP не работает совсем)

    Yui (@fierevere)Спасиби за ответ.
    В 7.4 у меня MYSQLI включено.
    Если меняю php на 8.0 то там всего лишь 8 наименований расширений, и расширения MYSQLI в нём нету.
    Спрошука я у хостера, что это за новый php.)

    Модератор Yui

    (@fierevere)

    永子

    странно что нету, должен быть
    иногда требуется включить еще mysqlnd (mysql native driver, используется как бэкенд для mysqli, mysql (старым, если вы его в секретном месте достанете и соберете) и mysql pdo)

    WP с mysql pdo не работает, требуется mysqli

Просмотр 3 ответов — с 1 по 3 (всего 3)
  • Тема «Обновление на php8» закрыта для новых ответов.